sat_solver_factory.h File Reference

SAT Solver. More...

`#include "cvc4_public.h"`
`#include <string>`
`#include <vector>`
`#include "prop/sat_solver.h"`
Include dependency graph for sat_solver_factory.h:

Go to the source code of this file.

## Data Structures

class | CVC4::prop::SatSolverFactory

## Namespaces

namespace | CVC4
namespace | CVC4::prop

## Detailed Description

SAT Solver.

    ** Original author: Dejan Jovanovic
    ** Major contributors: none
    ** Minor contributors (to current version): Liana Hadarean, Morgan Deters
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

SAT Solver creation facility

Definition in file sat_solver_factory.h.